Bug 249302 - sysutils/polkit: Update to 0.118
Summary: sysutils/polkit: Update to 0.118
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks: 249337
  Show dependency treegraph
 
Reported: 2020-09-14 06:15 UTC by Olivier Duchateau
Modified: 2020-09-20 13:18 UTC (History)
3 users (show)

See Also:
tcberner: maintainer-feedback+
antoine: exp-run+


Attachments
Patch to update sysutils/polkit (2.58 KB, patch)
2020-09-14 06:15 UTC, Olivier Duchateau
no flags Details | Diff
patch to update polkit to 0.118 (2.31 KB, patch)
2020-09-14 22:23 UTC, Steve Wills
tcberner: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau 2020-09-14 06:15:37 UTC
Created attachment 217944 [details]
Patch to update sysutils/polkit

- Update to 0.117
- Adjust dependency (spidermonkey)

Note: tested with GLib 2.66.0 and GObject introspection 1.66.0
Comment 1 Tobias C. Berner freebsd_committer 2020-09-14 07:23:48 UTC
Moin moin 

Thanks, I forgot to push this update after adding spidermonkey68 :)
I will try to push it this week.


mfg Tobias
Comment 2 Steve Wills freebsd_committer 2020-09-14 18:00:41 UTC
Working on a patch for 0.118 fwiw
Comment 3 Steve Wills freebsd_committer 2020-09-14 22:23:07 UTC
Created attachment 217964 [details]
patch to update polkit to 0.118
Comment 4 Steve Wills freebsd_committer 2020-09-14 22:24:02 UTC
I believe this needs an exp-run.
Comment 5 Antoine Brodin freebsd_committer 2020-09-16 20:09:55 UTC
polkit can not be built at least on 11.3 i386 because spidermonkey78 fails to build:


http://package23.nyi.freebsd.org/data/113i386-default-PR244008/2020-09-16_14h56m52s/logs/spidermonkey78-78.2.0.log
Comment 6 Steve Wills freebsd_committer 2020-09-17 17:46:41 UTC
(In reply to Antoine Brodin from comment #5)
lang/spidermonkey build should be fixed in r548846
Comment 7 Antoine Brodin freebsd_committer 2020-09-19 21:07:11 UTC
Exp-run looks fine
Comment 8 Tobias C. Berner freebsd_committer 2020-09-20 05:32:29 UTC
Comment on attachment 217964 [details]
patch to update polkit to 0.118

Moin moin


lgtm, thanks!


mfg Tobias
Comment 9 commit-hook freebsd_committer 2020-09-20 13:16:38 UTC
A commit references this bug:

Author: swills
Date: Sun Sep 20 13:16:18 UTC 2020
New revision: 549109
URL: https://svnweb.freebsd.org/changeset/ports/549109

Log:
  sysutils/polkit: Update to 0.118

  PR:		249302
  Submitted by:	Olivier Duchateau <duchateau.olivier@gmail.com> (previous version)
  Approved by:	desktop (tcberner, maintainer)
  Exp-run by:	antoine

Changes:
  head/sysutils/polkit/Makefile
  head/sysutils/polkit/distinfo
  head/sysutils/polkit/files/patch-src_polkitbackend_polkitbackendjsauthority.cpp
  head/sysutils/polkit/pkg-plist